function WindObs = Read_All_Towers_ObsData(filename, ntwr)
% read text file with obs data

fid=fopen(filename,'r');
for i = 1:4+ntwr
   tline = fgets(fid); 
end
header = fgets(fid);
WindObs = [];
while ischar(header)
    Date = [str2num(header(1:4)) str2num(header(5:7)) str2num(header(8:9)) str2num(header(10:11))];
    
    formatSpec = '%*s%f';
    cellscan = cell2mat(textscan(fid, formatSpec, ntwr));
    WindObs = [WindObs; Date cellscan'];
    
    fgets(fid);
    header = fgets(fid);
end
fclose all;
