function WindFrcst = Read_All_Towers_FrctData(path, ntwr)
% read text files with model data in Stitching method format

files = dir([path '*.txt']);
WindFrcst =[];
k=1;
for i = 1:length(files)
   if isempty(findstr('observations',files(i).name ))
       fid=fopen([path files(i).name],'r');
       x = [];
       for j = 1:4+ntwr
         tline = fgets(fid); 
       end
       header = fgets(fid);
       while ischar(header) 
           Date = [str2num(header(1:4)) str2num(header(5:7)) str2num(header(8:9)) str2num(header(10:11))];
           
           while Date(3) > 23
              Date(3) = Date(3) - 24;
              Date(2) = Date(2) + 1;
           end
           
           formatSpec = '%*s%f';
           cellscan = cell2mat(textscan(fid, formatSpec, ntwr));
           x = [x; Date cellscan'];

           fgets(fid);
           header = fgets(fid);
       end
       WindFrcst(:,:,k) = x;
       k=k+1;
   end
  
   fclose all;
end